#
# spec file for package squirrelmail-plugins (Version 1.4.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  apache gettext imap imap-devel ispell mod_php4 mod_php4-core squirrelmail

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel apache autoconf automake binutils gcc gdbm gettext imap imap-devel ispell libtool mod_php4 mod_php4-core perl rpm squirrelmail

Name:         squirrelmail-plugins
License:      GPL
Group:        Productivity/Networking/Email/Clients
URL:          http://www.squirrelmail.org
Requires:     squirrelmail, vacation, ispell, gettext
Autoreqprov:  on
Version:      1.4.1
Release:      280.2
Summary:      some plugins for squirrelmail
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define plug_path $RPM_BUILD_ROOT/srv/www/htdocs/squirrelmail/plugins
%define plug_doc $RPM_BUILD_ROOT/%{_defaultdocdir}/squirrelmail/plugins
Source0:      abook_import_export-0.8-1.4.0.tar.bz2
Source2:      addgraphics.2.2-1.0.3.tar.bz2
Source4:      attachment_tnef-0.7-1.4.0.tar.bz2
Source5:      autocomplete.2.0-1.0.0.tar.bz2
Source6:      block_sender.2.02-1.4.0.tar.bz2
Source7:      email_footer-0.3-1.4.2.tar.bz2
Source10:     folder_synch.0.8-1.4.0.tar.bz2
Source11:     get_uuencode-3.0-1.4.x.tar.bz2
Source12:     login_alias-2.3-1.2.1.tar.bz2
Source13:     login_auto-1.1-1.2.tar.bz2
Source15:     move_all_messages.0.1-1.2.4.tar.bz2
Source17:     notes.1.0-1.2.11.tar.bz2
Source18:     picons-1.0-1.2.7.tar.bz2
Source21:     secure_login-1.2-1.2.8.tar.bz2
Source22:     smime-0.4.tar.bz2
Source24:     squirrel_logger.1.3.0-1.0.6.tar.bz2
Source25:     timeout_user-1.1.1-0.5.tar.bz2
Source26:     undelete.1.0-1.0.tar.bz2
Source27:     username-2.3-1.0.0.tar.bz2
Source28:     vacation_1.41_1.4.tar.bz2
%define   vadmin_version 1.9.2
Source29:     vadmin-%{vadmin_version}.tar.bz2
Source30:     view_as_html-3.5a-1.4.x.tar.bz2
Source31:     vlogin-3.3.tar.bz2
Source32:     xheader.0.1.0-1.4.1.tar.bz2
Source33:     avelsieve-0.9.9.tar.bz2
Patch0:       avelsieve-0.9.9.diff
Patch1:       smime-0.4-injection.diff

%description
This are some plugins for the web-mailer squirrelmail.



Authors:
--------
    Tyler Akins
    Brent Bice
    Luke Ehresman
    Ron Chinn
    Lewis Bergman
    Ray Black III
    Konstantin Riabitsev
    Jimmy Conner
    Nick Sayer
    Bill Shupp
    Derek Battams

%prep
%setup -T -b 0 -n abook_import_export
%setup -T -b 2 -n addgraphics
%setup -T -b 4 -n attachment_tnef
%setup -T -b 5 -n autocomplete
%setup -T -b 6 -n block_sender
%setup -T -b 7 -n email_footer
%setup -T -b 10 -n folder_synch
%setup -T -b 11 -n get_uuencode
%setup -T -b 12 -n login_alias
%setup -T -b 13 -n login_auto
%setup -T -b 15 -n move_all_messages
%setup -T -b 17 -n notes
%setup -T -b 18 -n picons
%setup -T -b 21 -n secure_login
%setup -T -b 22 -n smime
%patch1
%setup -T -b 24 -n squirrel_logger
%setup -T -b 25 -n timeout_user
%setup -T -b 26 -n undelete
%setup -T -b 27 -n username
%setup -T -b 28 -n vacation
%setup -T -b 29 -n vadmin-%{vadmin_version}
%setup -T -b 30 -n view_as_html
%setup -T -b 31 -n vlogin
%setup -T -b 32 -n xheader
%setup -T -b 33 -n avelsieve
%patch0
find $RPM_BUILD_DIR -type d | xargs chmod 755

%build

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
cd ..
rm -f avelsieve/edit.php.orig
mv vadmin-%{vadmin_version} vadmin
install -d -m 755 %{plug_doc}/{abook_import_export,addgraphics,attachment_tnef,autocomplete,block_sender,email_footer,get_uuencode,login_alias,login_auto,move_all_messages,notes,picons,secure_login,smime,squirrel_logger,timeout_user,undelete,username,vacation,vadmin,view_as_html,vlogin,xheader,avelsieve}
#
install -d -m 755 %{plug_path}
#
cp -R {abook_import_export,addgraphics,attachment_tnef,autocomplete,block_sender,email_footer,folder_synch,get_uuencode,login_alias,login_auto,move_all_messages,notes,picons,secure_login,smime,squirrel_logger,timeout_user,undelete,username,vacation,vadmin,view_as_html,vlogin,xheader,avelsieve} %{plug_path}
#
# Moving doc files
#
mv %{plug_path}/abook_import_export/README %{plug_doc}/abook_import_export
mv %{plug_path}/addgraphics/{README,INSTALL} %{plug_doc}/addgraphics
mv %{plug_path}/attachment_tnef/README %{plug_doc}/attachment_tnef
mv %{plug_path}/autocomplete/README %{plug_doc}/autocomplete
mv %{plug_path}/block_sender/README* %{plug_doc}/block_sender
mv %{plug_path}/email_footer/README %{plug_doc}/email_footer
mv %{plug_path}/get_uuencode/README %{plug_doc}/get_uuencode
mv %{plug_path}/login_alias/{README,INSTALL} %{plug_doc}/login_alias
mv %{plug_path}/login_auto/{README,INSTALL} %{plug_doc}/login_auto
mv %{plug_path}/move_all_messages/INSTALL %{plug_doc}/move_all_messages
mv %{plug_path}/notes/README %{plug_doc}/notes
mv %{plug_path}/picons/{README,CHANGES} %{plug_doc}/picons
mv %{plug_path}/secure_login/README %{plug_doc}/secure_login
mv %{plug_path}/smime/{README.vasco,INSTALL} %{plug_doc}/smime
mv %{plug_path}/squirrel_logger/README %{plug_doc}/squirrel_logger
mv %{plug_path}/timeout_user/{README,INSTALL} %{plug_doc}/timeout_user
mv %{plug_path}/username/{README,INSTALL} %{plug_doc}/username
mv %{plug_path}/vacation/{README,INSTALL} %{plug_doc}/vacation
mv %{plug_path}/vadmin/doc/* %{plug_doc}/vadmin
rm -rf %{plug_path}/vadmin/doc
mv %{plug_path}/view_as_html/{README,ChangeLog} %{plug_doc}/view_as_html
mv %{plug_path}/xheader/README %{plug_doc}/xheader
mv %{plug_path}/vlogin/{INSTALL,README} %{plug_doc}/vlogin
mv %{plug_path}/avelsieve/doc/* %{plug_doc}/avelsieve
rm -rf %{plug_path}/avelsieve/{po,doc}
chmod 644 `find %{plug_path} -iname "*.php"`

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-, root, root)
%dir /srv/www/htdocs/squirrelmail
/srv/www/htdocs/squirrelmail/plugins
%doc %attr(-, root, root) %{_defaultdocdir}/squirrelmail/plugins

%changelog -n squirrelmail-plugins
* Wed Mar 02 2005 - mjancar@suse.cz
- fix code injection vulnerability in smime (#65626)
* Fri Mar 19 2004 - postadal@suse.cz
- removed useless files (*.orig)
* Tue Mar 02 2004 - postadal@suse.cz
- updated plugins: Addressbook Import-Export, TNEF Attachment Decoder,
  SIEVE Mail Filters, Email Footer, Get UUencode, Secure Login, Squirrel Logger,
  Username Display, Vadmin, View As HTML, Virtual Host Login
* Mon Aug 11 2003 - postadal@suse.cz
- removed obsoleted plugins which was integrated to standard distribution:
  Address Book Take, MOTD, Focus Change and Quota Usage plugin
- new plugin Avelsieve - "SIEVE Mail Filters Plugin"
  * for creating SIEVE scripts on a Cyrus IMAP server
- fix for Avelsieve plugin
- updated plugins: Add a Graphic, Autocomplete, Block Sender, Disk Quota,
  Folder Synch, get_uuencode, Login_Alias, Login Auto, Notes, Picons,
  S/MIME, Timeout User, Username Display, Vacation, Vadmin, view_as_html,
  VLogin, X-Header
* Wed Jun 18 2003 - ro@suse.de
- fixed doc packaging
- added directories to filelist
* Tue Aug 06 2002 - ro@suse.de
- adapted server-root again ...
* Mon Aug 05 2002 - tsieden@suse.de
- Added, removed and updated plugins
* Mon Aug 05 2002 - ro@suse.de
- adapted server-root to /srv/www
* Wed Jun 26 2002 - ro@suse.de
- fixed directory permissions
* Wed Jan 16 2002 - postadal@suse.cz
- Cleaned up specfile
- Added and updated plugins
* Wed Nov 21 2001 - rbarn@suse.de
- Added new package squirrelmail-plugins
